Subject: Re: bug#18012: 24.3; Can't print a huge list structure in IELM

From: "Basil L. Contovounesios" <[email-masked]>
Date: Thu, 12 Apr 2018 14:44:14 +0100

"Basil L. Contovounesios" <[email-masked]> writes:

> 1. emacs -Q
> 2. M-x emacs-version RET
>      => GNU Emacs 27.0.50
>         (build 2, x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
>         of 2018-04-08
> 3. M-x ielm RET
> 4. (let ((l (make-list 2 0)))
>      (nconc l (cdr l)))
> 5. C-m
>      => infloop
> 6. C-g
>      => *** IELM Error ***  Quit during pretty-printing
>
> This is in contrast to the *scratch* buffer, where C-j correctly inserts
> the result of (4) as (0 0 . #1), presumably because pp is used instead
> of cl-prin1.
>
> Does this behaviour warrant a new bug?

I say "correctly", but I mean "without inflooping", as I am not sure
how, if at all, circular objects should be printed when print-circle is
nil.

Note that there is no infloop when printing a "top-level" circle, e.g.:

  (let ((l (list 0)))
    (nconc l l))

-- 
Basil